## xmorph 17nov97

=== Makefile ===
# Makefile for xmorph and tkmorph
#
#  Written and Copyright (C) 1994-1997 by Michael J. Gourlay
#  
#  This file is part of Xmorph.
#  
#  Xmorph is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.
#  
#  Xmorph is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  
#  You should have received a copy of the GNU General Public License
#  along with Xmorph; see the file LICENSE.  If not, write to
#  the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
#  Boston, MA 02111-1307, USA.
#
#
#
# INSTRUCTIONS FOR COMPILING XMORPH:
#
#
# 0) Read the README file.  Then read this Makefile.
#
#
# 1) Make a backup copy of this Makefile.
#
#
# 2) Edit each of the variables in this Makefile before the "SRCS="
#    statement.
#
#
# 3) Some operating systems have a problem with long tokens, so the
#    help strings in help_menu.c will have to be trimmed if you get warnings
#    about long strings from your C compiler.  See the comments in
#    help_menu.c for details.  Most compilers will not have problem with
#    this.
#
#
# 4) On Unix machines, from your shell, type "make depend".
#
#    If this fails or if you do not have makedepend, or if you are not
#    running on a Unix machine, just delete all of the lines (if there
#    are any) below the "depend:" rule near the end of this Makefile.
#    Look for the rule that says "depend:" and read the comments that
#    follow it.  This step is not essential for building programs but it
#    is useful for development and debugging.
#
#
# 5) From the shell or command prompt, type "make".
#
#
# 6) If there are any errors or compiler complaints, find out why and
#    fix them :).  Then send email to the author explaining the cause of
#    the problem, and its solution.  If it is a big deal, I will put your
#    name in lights for the next release.  See the README file for
#    the internet email address of the author.
#
#    But seriously folks, if you can not figure out the problem, send
#    the author email.  Before complaining, though, read the man
#    pages for your C compiler and your linker.  If you are using
#    static linking and you get a linker problem, try dynamic
#    libraries, and vice versa.
#
#
#    If all goes well, there will be an executable called "xmorph".
#
#
# 7) From the shell, type "xmorph".
#
#    There are help pages accessible from within xmorph.  If there
#    are any bugs or spelling errors, fix them and/or report them to the
#    author.  See the README file for an email address.
#
#
# 8) To install xmorph on your system, place the "xmorph" executable
#    in the standard place on your machine for such things.  There is
#    also an "xmorph.man" file which should be placed in the appropriate
#    directory for manual pages of optional programs.  For most systems,
#    this is /usr/local/man/man1.
#
#    Installation usually requires having superuser privledges, which
#    involves the system administrator.




## SHELL: Interpretter for executing "make" commands
## -------------------------------------------------
#
# The shell should be Bourne compatible.
# Do not change unless you do not have "/bin/sh".
#

SHELL=/bin/sh




## CC: C compiler
## --------------
#
# You must use an ANSI C compiler.
#
# Apollo w/ Domain/OS, BSD: use /bin/cc
#

#CC=ucbcc
#CC=apcc
#CC=gcc
#CC=/bin/cc
#CC=cc
CC=cc




## INCLUDE: C compiler options to append header file paths
## -------------------------------------------------------
#
# Set INCLUDE to refer to the places where your header files reside.
#
# This should refer to where your TCL and Tk headers are.
#
# Solaris: On some Solaris machines, linking with the openwin libraries
# REQUIRES including the openwin headers (not MIT headers!).
# You should then set INCLUDE to have -I/usr/openwin/include
#

#INCLUDE=-I/usr/local/include -I/usr/openwin/include
INCLUDE=-I/usr/local/include




## DEBUG: C compiler options for debugging and/or code optimization
## ----------------------------------------------------------------
#
# For Unix compilers,
#   -O usually means "optimize"
#   -g usually means "debug"
#
# On most compilers, optimization and debugging flags are mutually
# exclusive.  A notable exception is the GNU C compiler, which can
# have both debugging and optimization.
#
#
# SGI native compiler:
#   -fullwarn gives more comprehensive warning messages.
#   -wlint does a lint check.
#
#   Be aware that the N32 C compiler for IRIX 6.2, using -fullwarn
#   will generate stupid warnings about the X include files.  This is
#   the SGI compiler complaining about SGI C code.  Think about it.
#   Does that make sense?  Would you trust a software manufacturer
#   whose C compiler generates warnings about its own include files?
#   I would not.  Anyway, to remove these warnings, use -woff 1233
#
#
# GCC:
#   -Wall gives more comprehensive warnings messages.
#
#

#DEBUG=-O
DEBUG=-O -g -Wall -DDEBUG
#DEBUG=-g3 -O -fullwarn -woff 1233 -DVERBOSE -DDEBUG




## NOWARN: C compiler options to reduce the number of warnings
## -----------------------------------------------------------
#
# The code generated by SWIG is not lint-clean but it does not matter
# so we want to ignore those warnings.

NOWARN=
#NOWARN=-woff 1164,1174,1209,1233,1498,1552




## DEFINES: C precompiler macros
## -----------------------------
#
# REAL: Size of a "REAL" used by spline code.
# Correct value is "double".  Do not change.
#
# RGBA_MESH_WARP: flag to tell RgbaImage to include mesh-based warping
# methods.  Do not change.
#
# RGBA_TK: flag to tell RgbaImage to include Tk Photo image code.
# DO NOT DEFINE for xmorph.  Only define for tkmorph.
# Also change the "all" target if RGBA_TK is changed.
#

#DEFINES=-DREAL=double -DRGBA_MESH_WARP -DRGBA_TK
DEFINES=-DREAL=double -DRGBA_MESH_WARP




## CFLAGS: Miscellaneous C compiler options
## ----------------------------------------
#
# Read the man page for your C compiler before sending me email about
# problems.
#
# SunOS: Add the option -DSUNOS version if you want to do memory checking.
# -- Also see LIBS for another flag relating to memory checking.
#
# HPUX 7.0B: native C compiler needs more symbol table space: +Ns4000
#
# Apollo w/ Domain/OS, BSD: use the -inlib line (contributed by Paul Walker)
#

#CFLAGS=$(DEBUG) $(DEFINES) +Ns4000

#CFLAGS=-O -W0,-inlib,/lib/x11lib.r5 -W0,-inlib,/lib/xawlib.r5 -W0,-inlib,/lib/xextlib.r5 -W0,-inlib,/lib/xtlib.r5 -W0,-inlib,/lib/xmulib.r5

#CFLAGS=$(DEBUG) $(DEFINES) $(INCLUDE) -DSUNOS

CFLAGS=$(DEBUG) $(DEFINES) $(INCLUDE)




## XLIBS: X libraries
## ------------------
#
# Must have the X libraries: X11, MIT Athena Widgets, X Toolkit, X Misc Utils
#
# Linux 2.0: must have /usr/X11/lib explicitly in library search path
#
# SunOS (pre-Solaris): Might have to use static X libraries because
#   dynamic X libraries are incomplete.
#
# Solaris: To link to openwin libraries, add -L/usr/openwin/lib
#
# IRIX6.2: Need to have -lcvt after -lXt
#   If you receive an error about an unresolved symbol named
#   SgCvtCreateConversionContext, you need to include -lcvt.
#   The cvt library is available in the goldengate.sw.goldengate package

#XLIBS=-L/usr/openwin/lib -lXaw -lXmu -lXext -lXt -lX11
XLIBS=-L/usr/X11/lib -lXaw -lXmu -lXext -lXt -lX11
#XLIBS=              -lXaw -lXmu -lXext -lXt -lcvt -lX11




## LIBS: loader options to link with libraries
## -------------------------------------------
#
# Read the man page for your linker before sending me email about
# problems.
#
# Must have the math library (-lm).
#
#
# Linux: Add -ldl if you get link error regarding dlerror, dlopen, or
#   dlsym
#
#
# FreeBSD: Do not use static libraries, because for some reason they
#   do not work.
#
#
# SunOS: Use the /usr/lib/debug/malloc.o module if you want to do
#   memory checking.
#   Also see the CFLAGS comments about memory checking under SunOS.
#
#
# SGI IRIX: Use -lmalloc to link with their special memory allocation
#   routines.  If you get an error about mallopt being
#   unresolved, then you will have to link with the libmalloc
#   shared object.  Do this by specifying -lmalloc here.
#
#   -lmalloc_cv has more robust memory checking
#
#
# Apollo w/ Domain/OS, BSD: use just -lm (no XLIBS)
#

#LIBS = -lm
#LIBS = $(XLIBS) -lm
LIBS = $(XLIBS) -lm -ldl
#LIBS = $(XLIBS) -lm /usr/lib/debug/malloc.o
#LIBS = $(XLIBS) -lm -lmalloc




# SHLIB_FLAG: flag used to generate shared library
# ------------------------------------------------
SHLIB_FLAG=-shared




# SHLIB_EXT: filename extension for shared libraries
# --------------------------------------------------
SHLIB_EXT=so








#### ======================================================
#### ======================================================
####
#### Nothing to edit below here
#### (except maybe the makedepend dependencies near the end of this
#### file if you do not have "makedepend")
####
#### ======================================================
#### ======================================================




SRCS=\
     diw_map.c \
     file_menu.c \
     help_menu.c \
     image_cb.c \
     image_diw.c \
     mesh.c \
     mesh_cb.c \
     mesh_menu.c \
     mjg_dialog.c \
     my_malloc.c \
     RgbaImage.c \
     sequence.c \
     spline.c \
     spl-array.c \
     tga.c \
     warp.c \
     warp_menu.c \
     xmorph.c

OBJS=\
     diw_map.o \
     file_menu.o \
     help_menu.o \
     image_cb.o \
     image_diw.o \
     mesh.o \
     mesh_cb.o \
     mesh_menu.o \
     mjg_dialog.o \
     my_malloc.o \
     RgbaImage.o \
     sequence.o \
     spline.o \
     spl-array.o \
     tga.o \
     warp.o \
     warp_menu.o \
     xmorph.o

#all: morph.$(SHLIB_EXT)
all: xmorph xmorph.man

xmorph:   $(OBJS)
	@echo ""
	@echo ""
	@echo ""
	@echo ""
	@echo "==== If the next command generates link errors regarding"
	@echo "==== unresolved symbols to Tk routines, then you probably"
	@echo "==== erroneously defined RGBA_TK and you should change"
	@echo "==== the Makefile."
	@echo ""
	@echo ""
	@echo ""
	@echo ""
	$(CC) $(CFLAGS) -o $@ $(OBJS) $(LIBS)

.c$(OBJ): $(SRCS) Makefile
	$(CC) $(CFLAGS) $(CPPFLAGS) -c $<

xmorph.man: xmorph.1
	nroff -man xmorph.1 > xmorph.man
	col -b < xmorph.man > xmorph.txt

test-tga: $(OBJS) test-tga.c
	$(CC) $(CFLAGS) -o test-tga test-tga.c tga.o




## Wrapper code for morph interpretter.
##
## This code is under construction and not yet ready for public use.

morph_wrap.c: morph.swig RgbaImage.h mesh.h
	@echo ""
	@echo ""
	swig -tcl morph.swig
	@echo ""
	@echo ""

LDFLAGS=-L/usr/local/lib

MORPH_OBJS= \
        mesh.o \
        my_malloc.o \
        RgbaImage.o \
        spl-array.o \
        spline.o \
        tga.o \
        warp.o

morph_wrap.o: morph_wrap.c
	$(CC) -c $(CFLAGS) $(NOWARN) morph_wrap.c

morph.$(SHLIB_EXT): morph_wrap.o $(MORPH_OBJS)
	@echo ""
	$(CC) $(CFLAGS) $(LDFLAGS) $(SHLIB_FLAG) morph_wrap.o $(MORPH_OBJS) $(LIBS) -o $@
	@echo ""




macros:
	@echo ""
	@echo ""
	@echo "This will work for GNU C"
	echo > empty.c
	-cc -E -dM empty.c
	rm empty.c
	@echo ""
	@echo ""
	@echo "This will work for SGI"
	-cc -E -show /dev/null

white:
	@echo ""
	@echo ""
	@echo "These greps should produce no output except ignored errors"
	@echo ""
	@echo ""
	-grep '	' *.[ch]
	-grep ' $$' *.[ch]
	@echo ""

clean:
	-rm -f $(OBJS) core
	-rm -f test-tga
	-rm -f morph_wrap.o
	-rm -f morph_wrap.c

veryclean: clean
	-rm -f xmorph
	-rm -f xmorph.man
	-rm -f xmorph.txt
	-rm -f morph.so
	-rm -f so_locations
	-rm -f morph_wrap.doc
	-rm -f morph_wrap.html

DIST=COPYLEFT \
     FILES \
     HISTORY \
     LICENSE \
     Makefile \
     Makefile.orig \
     README \
     SUMS \
     xmorph.README \

## xmorph 20011220

=== oldxmorph/Makefile ===
## ACGM: all configurations that were in this "Makefile"
## in the old version of xmorph are now in "Makefile.conf" in the main dir
## and there we discuss what has been changed

## this file  is now unused and unusable
## (Makefiles are automatically generated by automake)


# Makefile for xmorph and tkmorph
#
#  Written and Copyright (C) 1994-2000 by Michael J. Gourlay
#
#  This file is part of Xmorph.
#
#  Xmorph is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.
#
#  Xmorph is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with Xmorph; see the file LICENSE.  If not, write to
#  the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
#  Boston, MA 02111-1307, USA.
#
#  Xmorph is part of GNU software.
#
#
#
# INSTRUCTIONS FOR COMPILING XMORPH:
#
#
# 0) Read the README file.  Then read this Makefile.
#
#
# 1) Make a backup copy of this Makefile.
#
#
# 2) Edit each of the variables in this Makefile before the "SRCS="
#    statement.  Each variable has instructions for how to assign
#    the variable values for various kinds of systems.
#
#
# 3) Some operating systems have a problem with long tokens, so the
#    help strings in help_menu.c will have to be trimmed if you get warnings
#    about long strings from your C compiler.  See the comments in
#    help_menu.c for details.  Most compilers will not have problem with
#    this.
#
#
# 4) On Unix machines, from your shell, type "make depend".
#
#    If this fails or if you do not have makedepend, or if you are not
#    running on a Unix machine, just delete all of the lines (if there
#    are any) below the "depend:" rule near the end of this Makefile.
#    Look for the rule that says "depend:" and read the comments that
#    follow it.  This step is not essential for building programs but it
#    is useful for development and debugging.
#
#    Another alternative is to use "make cleandepend", espeially
#    if you are generating a Makefile for cross-compiling.  the
#    cleandepend target will only generate dependency rules for
#    header files specific to xmorph, not for all header files.
#
#
# 5) From the shell or command prompt, type "make".
#
#
# 6) If there are any errors or compiler complaints, find out why and
#    fix them :).  Then send email to the author explaining the cause of
#    the problem, and its solution.  If it is a big deal, I will put your
#    name in lights for the next release.  See the README file for
#    the internet email address of the author.
#
#    But seriously folks, if you can not figure out the problem, send
#    the author email.  Before complaining, though, read the man
#    pages for your C compiler and your linker.  If you are using
#    static linking and you get a linker problem, try dynamic
#    libraries, and vice versa.
#
#    If all goes well, there will be an executable called "xmorph".
#
#
# 7) From the shell, type "xmorph".
#
#    There are help pages accessible from within xmorph.  If there
#    are any bugs or spelling errors, fix them and/or report them to the
#    author.  See the README file for an email address.
#
#
# 8) To install xmorph on your system, edit INSTALL_BASE in this file
#    and type "make install" as root.  If that fails, place the
#    "xmorph" executable in the standard place on your machine for such
#    things.  There is also an "xmorph.man" file which should be
#    renamed to xmorph.1 and placed in the appropriate directory for
#    manual pages of optional programs.  For most systems, this is
#    /usr/local/man/man1.





## SHELL: Interpretter for executing "make" commands
## -------------------------------------------------
#
# The shell should be Bourne compatible.
# Do not change unless you do not have "/bin/sh".
#

SHELL=/bin/sh




## CC: C compiler
## --------------
#
# You must use an ANSI C compiler.
#
# Apollo w/ Domain/OS, BSD: use /bin/cc
#

#CC=ucbcc
#CC=apcc
#CC=gcc
#CC=/bin/cc
#CC=cc
CC=cc




## INCLUDE: C compiler options to append header file paths
## -------------------------------------------------------
#
# Set INCLUDE to refer to the places where your header files reside.
#
# This should refer to where your TCL and Tk headers are.
#
# If you are building the GIMP plugin version, this should also refer
# to where your GIMP header files are installed.
#
# Solaris: On some Solaris machines, linking with the openwin libraries
# REQUIRES including the openwin headers (not MIT headers!).
# You should then set INCLUDE to have -I/usr/openwin/include
#

#INCLUDE=-I/usr/local/include -I/usr/openwin/include
INCLUDE=-I/usr/local/include




## DEBUG: C compiler options for debugging and/or code optimization
## ----------------------------------------------------------------
#
# For Unix compilers,
#   -O usually means "optimize"
#   -g usually means "debug"
#
# On most compilers, optimization and debugging flags are mutually
# exclusive.  A notable exception is the GNU C compiler, which can
# have both debugging and optimization.
#
#
# SGI native compiler:
#   -fullwarn gives more comprehensive warning messages.
#   -wlint does a lint check.
#
#   Be aware that the N32 C compiler for IRIX 6.2, using -fullwarn
#   will generate stupid warnings about the X include files.  This is
#   the SGI compiler complaining about SGI C code.  Think about it.
#
#
# GCC:
#   -Wall gives more comprehensive warning messages.
#
#
# -DVERBOSE and -DDEBUG are used for development.
# Unless you are working on the code, you will want to omit these.
#

#DEBUG=-O -g -Wall -DVERBOSE -DDEBUG
#DEBUG=-O
#DEBUG=-g3 -O -fullwarn -DVERBOSE -DDEBUG
DEBUG=-g3 -O -fullwarn




## NOWARN: C compiler options to reduce the number of warnings
## -----------------------------------------------------------
#
# The code generated by SWIG is not lint-clean but it does not matter
# so we want to ignore those warnings.

NOWARN=
#NOWARN=-woff 1164,1174,1209,1233,1498,1552




## DEFINES: C precompiler macros
## -----------------------------
#
# GIMP: Adds GIMP plugin functionality to xmorph.
#   Also define NEED_GIMP=1.  If this is defined, then you may run
#   xmorph both as a standalone application, and by adding it to your
#   ~/.gimp/plug-ins directory (usually via a symlink).  From what I
#   understand, this will not work for tkmorph.  See GIMPLIBS, below.
#
# REAL: Size of a "REAL" used by spline code.
#   Correct value is "double".  Do not change.
#
# RGBA_MESH_WARP: flag to tell RgbaImage to include mesh-based warping
#   methods.  Do not change.
#
# RGBA_TK: flag to tell RgbaImage to include Tk Photo image code.
#   DO NOT DEFINE for xmorph.  Only define for tkmorph.
#   Also change the "all" target if RGBA_TK is changed.
#
# RED_GREEN_COLOR_BLIND: uses blue instead of red for color of
#   'destination' mesh lines and points.
#
# STRDUP_PROTO_BROKEN: For some versions of GNU C, the string.h
#   header file has an incorrect prototype for strdup.  If you
#   experience problems compiling, related to the strdup prototype,
#   then define STRDUP_PROTO_BROKEN.


# For tkmorph:
#DEFINES=-DREAL=double -DRGBA_MESH_WARP -DRGBA_TK

# For colorblind:
#DEFINES=-DREAL=double -DRGBA_MESH_WARP -DRED_GREEN_COLOR_BLIND

# For GIMP plugin:
#DEFINES=-DREAL=double -DRGBA_MESH_WARP -DGIMP -DNEED_GIMP=1

# Broken GNU C:
#DEFINES=-DREAL=double -DRGBA_MESH_WARP -DSTRDUP_PROTO_BROKEN

# Most systems:
DEFINES=-DREAL=double -DRGBA_MESH_WARP




## XLIBS: X libraries
## ------------------
#
# Must have the X libraries: X11, MIT Athena Widgets, X Toolkit, X Misc Utils
#
# Linux 2.0: must have /usr/X11/lib
#   or /usr/X11R6/lib explicitly in library search path
#
# SunOS (pre-Solaris): Might have to use static X libraries because
#   dynamic X libraries are incomplete.
#
# Solaris: To link to openwin libraries, add -L/usr/openwin/lib
#
# IRIX6.2: Need to have -lcvt after -lXt
#   If you receive an error about an unresolved symbol named
#   SgCvtCreateConversionContext, you need to include -lcvt.
#   The cvt library is available in the goldengate.sw.goldengate package

# Sun Solaris:
#XLIBS=-L/usr/openwin/lib -lXaw -lXmu -lXext -lXt -lX11

# Linux:
#XLIBS=-L/usr/X11/lib -lXaw -lXmu -lXext -lXt -lX11
#XLIBS=-L/usr/X11R6/lib -lXaw -lXmu -lXext -lXt -lX11

# SGI IRIX:
XLIBS=              -lXaw -lXmu -lXext -lXt -lcvt -lX11




## GIMPLIBS: GIMP libraries
## ------------------------
# If you have defined -DGIMP in the DEFINES section, then xmorph will
# be built to run both as a standalone application and as a GIMP
# plugin.  Here, you need to specify the appropriate GIMP libraries.
#
# Comment out this variable if you have not used -DGIMP.

#GIMPLIBS=-L/usr/local/lib -lgimp -lglib
#GIMPLIBS=-lgimp -lglib




## NON_GUI_LIBS: libraries which are not part of the GUI
## -----------------------------------------------------
#
# Must have the math library (-lm).
#
#
# Linux: Add -ldl if you get link error regarding dlerror, dlopen, or
#   dlsym
#
#
# FreeBSD: Do not use static libraries, because for some reason they
#   do not work.
#
#
# SunOS: Use the /usr/lib/debug/malloc.o module if you want to do
#   memory checking.
#   Also see the CFLAGS comments about memory checking under SunOS.
#
#
# SGI IRIX: Use -lmalloc to link with their special memory allocation
#   routines.  If you get an error about mallopt being
#   unresolved, then you will have to link with the libmalloc
#   shared object.  Do this by specifying -lmalloc here.
#
#   -lmalloc_cv has more robust memory checking

#NON_GUI_LIBS = -lm
#NON_GUI_LIBS = -lm -ldl
#NON_GUI_LIBS = -lm /usr/lib/debug/malloc.o
NON_GUI_LIBS = -lm -lmalloc




## LIBS: loader options to link with libraries
## -------------------------------------------
#
# Read the man page for your linker before sending me email about
# problems.
#
# Apollo w/ Domain/OS, BSD: omit XLIBS

#LIBS = $(GIMPLIBS) $(NON_GUI_LIBS)
LIBS = $(GIMPLIBS) $(XLIBS) $(NON_GUI_LIBS)




# SHLIB_FLAG: flag used to generate shared library
# ------------------------------------------------
SHLIB_FLAG=-shared




# SHLIB_EXT: filename extension for shared libraries
# --------------------------------------------------
SHLIB_EXT=so




## LDFLAGS: Loader options
## -----------------------
#

LDFLAGS=-L/usr/local/lib




## CFLAGS: Miscellaneous C compiler options
## ----------------------------------------
#
# Read the man page for your C compiler before sending me email about
# problems.
#
# SunOS: Add the option -DSUNOS version if you want to do memory checking.
# -- Also see LIBS for another flag relating to memory checking.
#
# HPUX 7.0B: native C compiler needs more symbol table space: +Ns4000
#
# Apollo w/ Domain/OS, BSD: use the -inlib line (contributed by Paul Walker)
#

#CFLAGS=$(DEBUG) $(DEFINES) +Ns4000

#CFLAGS=-O -W0,-inlib,/lib/x11lib.r5 -W0,-inlib,/lib/xawlib.r5 -W0,-inlib,/lib/xextlib.r5 -W0,-inlib,/lib/xtlib.r5 -W0,-inlib,/lib/xmulib.r5

#CFLAGS=$(DEBUG) $(DEFINES) $(INCLUDE) -DSUNOS

CFLAGS=$(DEBUG) $(DEFINES) $(INCLUDE)




## INSTALL_BASE: Directory base to install files
## ---------------------------------------------
INSTALL_BASE=/usr/local








#### ======================================================
#### ======================================================
####
#### Nothing to edit below here
#### (except maybe the makedepend dependencies near the end of this
#### file if you do not have "makedepend")
####
#### ======================================================
#### ======================================================




SRCS=\
     diw_map.c \
     file_menu.c \
     help_menu.c \
     image_cb.c \
     image_diw.c \
     mesh.c \

=== tkmorph/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4-p4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = /usr/share/info
mandir = /usr/share/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/xmorph
pkglibdir = $(libdir)/xmorph
pkgincludedir = $(includedir)/xmorph

top_builddir = ..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
AS = @AS@
BUILD_INCLUDED_LIBINTL = no
CATALOGS =  it.gmo
CATOBJEXT = .gmo
CC = gcc
CFLAGS_DEBUG = @CFLAGS_DEBUG@
CFLAGS_OPTIMIZE = @CFLAGS_OPTIMIZE@
CFLAGS_WARNING = @CFLAGS_WARNING@
DATADIRNAME = share
DLLTOOL = @DLLTOOL@
DL_LIBS = @DL_LIBS@
ECHO = echo
EXEEXT = 
GDK_PIXBUF_CFLAGS = -I/usr/include/gdk-pixbuf-1.0 -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include
GDK_PIXBUF_CONFIG = /usr/bin/gdk-pixbuf-config
GDK_PIXBUF_LIBS = -L/usr/lib -lgdk_pixbuf -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
GENCAT = gencat
GLIBC21 = yes
GMOFILES =  it.gmo
GMSGFMT = /usr/bin/msgfmt
GTK_CFLAGS = -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include
GTK_CONFIG = /usr/bin/gtk-config
GTK_LIBS = -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
INSTOBJEXT = .mo
INTLBISON = bison
INTLLIBS = 
INTLOBJS = 
INTL_LIBTOOL_SUFFIX_PREFIX = 
LIBICONV = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
MAKEINFO = makeinfo
MATH_LIBS = @MATH_LIBS@
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
OBJDUMP = @OBJDUMP@
OBJEXT = o
PACKAGE = xmorph
POFILES =  it.po
POSUB = po
RANLIB = ranlib
STRIP = strip
TCL_BIN_DIR = @TCL_BIN_DIR@
TCL_LIBS = @TCL_LIBS@
TCL_LIB_FILE = @TCL_LIB_FILE@
TCL_SRC_DIR = @TCL_SRC_DIR@
TK_BIN_DIR = @TK_BIN_DIR@
TK_LIB_FILE = @TK_LIB_FILE@
TK_SRC_DIR = @TK_SRC_DIR@
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 20011010
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu tkmorph/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = tkmorph

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu tkmorph/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-generic clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: tags distdir info-am info dvi-am dvi check check-am \
installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
xmorph (1:20011220) unstable; urgency=low

  * changed '"morphing."' to '"morphing".' (Closes: #110463)
  * changed '(x110' to '(x11)' (Closes: #119761)
  * I am implementing new features, which are too buggy,
  so I have disabled them in this bug-fixing release
  * debhelper was installing info a second time  (closes: #120120)
  
 -- Andrea Mennucc <debian@Tonelli.sns.it>  Fri,  4 Jan 2002 12:26:04 +0100

xmorph (1:20011113) unstable; urgency=low

  * Branden Robinson had not really corrected 119005, but J Troup has
  given me the magical solution (Closes: #119005)
  (wow isnt this the real Debian spirit?)

 -- A Mennucc1 <debian@Tonelli.sns.it>  Wed, 14 Nov 2001 15:40:05 +0100

xmorph (1:20011112) unstable; urgency=medium
  
  * the following changelog and patch comes from
  Branden Robinson <branden@debian.org>  Thu,  8 Nov 2001 16:56:36 -0500
  * NMU to fix build-failures
  * gtkmorph/Makefile.am: add @GDK_PIXBUF_CFLAGS@ to INCLUDES
  * debian/control:
    - corrected bad Build-Dependency (Closes: #119005)
    - add versioning of 1.1.17 to Build-Dep on debhelper
    - fix up poor grammar and other errors in package descriptions 
          [AM: isn't he such a nice guy?]
    - fix duplicate and missing package relationships (probably caused by
      ignorance of proper dh_shlibdeps usage)
  * debian/docs: don't ship COPYING or INSTALL documents
  * debian/postrm moved to debian/prerm (where install-info should be run)
  * debian/{postinst,prerm,libmorph.postinst}: include #DEBHELPER# tokens
  * debian/rules:
    - removed invocation of dh_testversion
    - use dh_shlibdeps properly for this shared-library-containing package
    - removed useless invocation of dh_suidregister
  * re-ran aclocal; automake; autoconf against modern libgdk-pixbuf-dev so
    this package would know where to find that library's headers
  * package now lintian-clean

 -- A Mennucc1 <debian@Tonelli.sns.it>  Tue, 13 Nov 2001 17:42:01 +0100

xmorph (1:20011109) unstable; urgency=low

  * again run libtoolize to get support for new architectures.  
    (closes: #103372)
  *  libgtk-dev is a real package, not a virtual one; I want
    libgtk1.2-dev instead. (closes: #115414)

 -- A Mennucc1 <debian@Tonelli.sns.it>  Fri,  9 Nov 2001 14:16:14 +0100
  

xmorph (1:20011010) unstable; urgency=low

  * clean up the CVS, some minor adjustments, better build deps,
    uses newer libtool and autoconf and automake

 -- A Mennucc1 <debian@Tonelli.sns.it>  Fri, 12 Oct 2001 14:11:22 +0200

xmorph (1:20010421-4) unstable; urgency=low

  * more italian translation
  * this bimbo now compiles with i386-cygwin-gcc (without-x)

 -- A Mennucc1 <debian@Tonelli.sns.it>  Wed, 15 Aug 2001 10:56:13 +0200

xmorph (1:20010421-3) unstable; urgency=low

  * build-depends on gettext (closes: #104389)

 -- A Mennucc1 <debian@Tonelli.sns.it>  Wed, 18 Jul 2001 16:59:24 +0200

xmorph (1:20010421-2.1) unstable; urgency=low
  * Non-maintainer upload.
  * Run libtoolize to get support for new architectures.  Closes: #103372

 -- LaMont Jones <lamont@debian.org>  Mon,  9 Jul 2001 21:39:34 -0600

xmorph (1:20010421-2) unstable; urgency=low

  * there was a leftover include for gdk-imlib (closes: #98911) 

 -- A Mennucc1 <debian@Tonelli.sns.it>  Fri,  1 Jun 2001 20:11:30 +0200

xmorph (1:20010421-0) unstable; urgency=low

  * dpkg-source flops when cwd is a sym link! (closes: #97866)
  * note that, since aug 2000, xmorph is native debian (read the README)
  * I took the test/ dir out of the tar.gz ... I will put it back when
    I document it a bit

 -- A Mennucc1 <debian@tonelli.sns.it>  Fri, 18 May 2001 10:38:56 +0200

xmorph (1:20010421) unstable; urgency=low

  * gtkmorph: right mouse button brings up a menu: add & delete mesh lines;
     moreover there is a "movie" option that builds gif movies
     (needs imagemagick) or mpeg movies (needs ucbmpeg)
  * libmorph: changes for the above (line adding didnt preserve labels)
    and for locale problems in read/save of meshes (in italian
    the , separates decimals, not the .)
  
 -- A Mennucc1 <debian@Tonelli.sns.it>  Tue, 24 Apr 2001 16:59:39 +0200

xmorph (1:20010220-2) unstable; urgency=low

  * many changes in gtkmorph (but some parts are still unfinished)
  * added build depends, (closes: #88211)

 -- A Mennucc1 <debian@Tonelli.sns.it>  Thu, 19 Apr 2001 20:34:17 +0200

xmorph (1:20010220) unstable; urgency=low

  * New Upstream Release. New mantainer.

 -- A Mennucci <debian@Tonelli.sns.it>  Thu, 22 Feb 2001 18:50:20 +0100

xmorph (1:20000428-1) unstable; urgency=low

  * New upstream release. (closes: #25108)
  * This version includes a fix to compile on Linux with libc6.
    (closes: #33063, #38955)
  * Maintainer set to Debian QA Group.
  * Remove "tags" and "Makefile.bak" in the clean target.
  * Corrected the priority entry in debian/control.
  * Added "-isp" to dpkg-gencontrol.
  * Added Build-Depends.
  * Standards-Version: 3.1.1
  * Upload sponsored by Tony Mancill <tmancill@debian.org>.

 -- Adrian Bunk <bunk@fs.tum.de>  Thu, 14 Sep 2000 23:36:07 +0200

xmorph (1:17nov97-2) unstable; urgency=low

  * NMU.
  * Package now builds on potato system. (closes: #38955)
  * Updated menu file.

 -- Fredrik Hallenberg <hallon@debian.org>  Sun, 25 Jul 1999 20:42:04 +0200

xmorph (1:17nov97-1) unstable; urgency=low

  * Verified compliance with Debian policy 2.4.0.0 and updated control file
    accordingly
  * New upstream release

 -- Larry Gilbert <irving@pobox.com>  Mon, 16 Feb 1998 20:09:41 -0800

xmorph (1:11sep97-2) unstable; urgency=low

  * Architecture in control file changed to "any" (bug report #13626 by James
    Troup)

 -- Larry Gilbert <irving@pobox.com>  Mon,  6 Oct 1997 08:31:05 -0700

xmorph (1:11sep97-1) unstable; urgency=low

  * Compiled using xlib6g-dev in an attempt to fix lingering libc5 dependency
    discovered by Enrique Zanardi (bug report #13007)
  * Fixed bad man page permissions spotted by Joey Hess (bug report #13027)


=== debian/control ===
Source: xmorph
Section: graphics
Build-Depends: gettext, libtool, autoconf, automake, debhelper (>= 1.1.17), xlibs-dev, libxaw7-dev, xutils, groff, texinfo, bsdmainutils, libgdk-pixbuf-dev, libgtk1.2-dev
Priority: optional
Maintainer: Andrea Mennucc <debian@Tonelli.sns.it>
Standards-Version: 3.5.6

Package: xmorph
Architecture: any
Depends: ${shlibs:Depends}
Suggests: imagemagick | netpbm | gimp
Priority: optional
Section: graphics
Description:  digital image warper (x11)
 Xmorph loads, saves, warps, and dissolves images, and loads, saves, creates,
 and manipulates control meshes which determine the warping.  The technique
 was invented and first used by Industrial Light and Magic, and is commonly
 called "morphing".
 .
 Xmorph uses the Targa image format exclusively.  Other software is needed to
 convert to other image formats or to movies.  (Due to a bug, Xmorph's images
 are unreadable by John Bradley's XV.)
 .
 xmorph is a GUI for libmorph, using the X Toolkit; the package also contains
 a text-only program called morph.

Package: libmorph
Architecture: any
Depends: ${shlibs:Depends}
Priority: optional
Section: libs
Description: digital image warping library
 libmorph warps images.  The technique was invented and first used by
 Industrial Light and Magic, and is commonly called "morphing."

Package: libmorph-dev
Architecture: any
Depends: libmorph (= ${Source-Version})
Priority: optional
Section: devel
Description: Digital image warping library development files
 This package contains header files for, and a static version of, the libmorph
 library.

Package: gtkmorph
Architecture: any
Depends:  ${shlibs:Depends}
Suggests: imagemagick
Priority: optional
Section: graphics
Description:  Digital image warper (gtk)
 gtkmorph loads, saves, warps, and dissolves images, and loads, saves,
 creates, and manipulates control meshes which determine the warping.  It has
 support for making movies automatically (it needs extra packages).  The
 technique was invented and first used by Industrial Light and Magic, and is
 commonly called "morphing."
 .
 gtkmorph is a GUI for libmorph, using GTK; it is not completely finished but
 it is usable.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

build: build-stamp
build-stamp:
	dh_testdir
	libtoolize
	gettextize -f
	automake --add-missing
	./configure --prefix=/usr --mandir=/usr/share/man \
		--infodir=/usr/share/info --with-xmorph --with-gtkmorph
	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	find -type l | xargs -r rm 
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# Add here commands to install the package into debian/tmp.
	$(MAKE) install prefix=`pwd`/debian/tmp/usr mandir=`pwd`/debian/tmp/usr/share/man infodir=`pwd`/debian/tmp/usr/share/info
	dh_link usr/share/man/man1/xmorph.1  usr/share/man/man1/morph.1
	dh_movefiles


# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=-i
binary-indep: build install
	# Need this version of debhelper for DH_OPTIONS to work.
	dh_testversion 1.1.17
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
#	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	#ChangeLog
	dh_link
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
	dh_installdeb
#	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	# Need this version of debhelper for DH_OPTIONS to work.
	dh_testversion 1.1.17
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	#ChangeLog
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
	dh_installdeb
	dh_makeshlibs
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary:  binary-arch 
#binary-indep
.PHONY: build clean binary-indep binary-arch binary install
